<div id="main-smart-search">

  <div class="window" id="filter-window">

    <div>
      <p-button styleClass="button" type="text" (click)="sidebar_visible = true" icon="pi pi-filter" label="Filter">
      </p-button>
    </div>

    <div id="tag_container">
    </div>

    <div>
      <p-button styleClass="button-cars" label="Chosen Cars" (click)="sidebar_cars_visible=true" ></p-button>
    </div>

  </div>




<div class="window" id="main-window">

  <div id="header">
    <p>SMART SEARCH</p>
  </div>

<div class="carousel-box">

  <div class="flip-card">

    <div id="flip-card-inner" style= "display: none;">

      <div class="flip-card-front">
        <img src="{{images[i]}}" width="100%" height="100%">

      </div>

      <div class="flip-card-back">
        <img id="image" src="{{images[i]}}" width="40%" height="40%">

        <div id="car-name"><img src="../../assets/Images/car-name.png" width= "100%">

        </div>
        <div id="price"><img src="../../assets/Images/price.png" width= "65%"></div>

        <div id="year"><img src="../../assets/Images/year.png" width= "60%"></div>
        <div id="other"></div>
      </div>

    </div>

  </div>

  <p-button (click)="addNewDiv()" (click)="nextImage()" styleClass="check" width="30%" height="30%" >✔</p-button>
  <p-button styleClass="no" (click)="nextImage()" width="30%" height="30%">✖</p-button>

</div>

</div>


<p-sidebar [(visible)]="sidebar_cars_visible" position="right" styleClass="chosen_cars_sidebar">
  <p-scrollPanel styleClass="scroll" [style]="{width: '90%', height: '100vh'}">
  <div id="content" style="width:90%; margin-top:5vh; margin-left: 4vh;">
  <div *ngFor="let new_div of newDivs;" id="div{{new_div}}">
    <p-button styleClass="car-button" (click)="show_car_info[i]=true;"><img src="{{images[j-1]}}"  width="100%" height="100%"></p-button>
    <p-dialog styleClass="dialog" header="CAR INFORMATION" [(visible)]="show_car_info[i]">
      <div>info o colima "{{j-1}}"
      </div>
    </p-dialog>
    </div>
  </div>
  </p-scrollPanel>
</p-sidebar>

<!--user settings button-->
<div id="user_change_property_wrapper">
  <button pTooltip="User settings" (click)="show_settings = true" id="user_change" pButton type="button"
    class="p-button-raised p-button-rounded" icon="pi pi-user-edit" iconPos="left"></button>
</div>

<!--new ad button-->
<div id="new_ad_wrapper">
  <button pTooltip="New ad" (click)="show_new_ad = true" id="new_ad" pButton type="button"
    class="p-button-raised p-button-rounded" icon="pi pi-tags" iconPos="left"></button>
</div>

<!--my ads button-->
<div id="my_ads_wrapper">
  <button pTooltip="My ads" (click)="show_my_ads = true" id="my_ads" pButton type="button"
    class="p-button-raised p-button-rounded" icon="pi pi-heart" iconPos="left"></button>
</div>



<!--user settings window-->
<div id="user_settings_window">
  <p-dialog styleClass="dialog" header="USER SETTINGS" [(visible)]="show_settings">
    <app-user-settings-form></app-user-settings-form>
  </p-dialog>
</div>

<!--new ad window-->
<div id="new_ad_window">
  <p-dialog styleClass="dialog" header="NEW AD" [(visible)]="show_new_ad">
    <div>Ovde ide komponenta za novu reklamu</div>
  </p-dialog>
</div>

<!--my ads window-->
<div id="my_ads_window">
  <p-dialog styleClass="dialog" header="MY ADS" [(visible)]="show_my_ads">
    <app-my-ads-form></app-my-ads-form>
  </p-dialog>
</div>

<p-sidebar styleClass="sidebar" [(visible)]="sidebar_visible">

  <div class="container">

    <div id="filter_image">
      <img src="../../assets/Images/filter.png" id="filter-img" alt="filter">
    </div>

    <div class="dropdown_container">

      <div id="car_manufacturer_wrapper">
        <p-dropdown (onChange)="set_tags('manufacturer'); load_models()" placeholder="Manufacturer"
          [options]="possible_manufacturers" [(ngModel)]="car_manufacturer" optionLabel="name" styleClass="dropdown">
        </p-dropdown>
      </div>

      <div id="car_model_wrapper">
        <p-dropdown (onChange)="set_tags('model')" placeholder="Model" [options]="possible_models"
          [(ngModel)]="car_model" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_class_wrapper">
        <p-dropdown (onChange)="set_tags('class')" placeholder="Class" [options]="car_class" [(ngModel)]="selectedClass"
          optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_transmission_wrapper">
        <p-dropdown (onChange)="set_tags('transmission')" placeholder="Transmission" [options]="possible_transmissions"
          [(ngModel)]="car_transmission" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_engine_wrapper">
        <p-dropdown (onChange)="set_tags('engine')" placeholder="Engine" [options]="possible_engine"
          [(ngModel)]="car_engine" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

      <div id="car_power_wrapper">
        <p-dropdown (onChange)="set_tags('power')" placeholder="Power" [options]="possible_power"
          [(ngModel)]="car_power" optionLabel="name" styleClass="dropdown"></p-dropdown>
      </div>

    </div>

    <div id="age_slider_wrapper">
      <p-slider (onChange)="set_tags('age')" styleClass="age_slider" [(ngModel)]="model_year" [min]="1980" [max]="2021">Age
      </p-slider>
      <p id="age-label">Model year: {{model_year}}</p>
    </div>

    <div id="price_slider_wrapper">
      <p-slider (onChange)="set_tags('price'); print_price()" styleClass="age_slider" [(ngModel)]="car_price_range"
        [range]="true" [step]="100" [max]="20000">Price
      </p-slider>
      <p id="price-label">Price: </p>
    </div>

    <div id="colors_container">
      <div id="colors-first">
        <button (click)="pick_color('black')" pButton type="button" class="p-button-raised p-button-rounded"
          id="black"></button>
        <button (click)="pick_color('white')" pButton type="button" class="p-button-raised p-button-rounded"
          id="white"></button>
        <button (click)="pick_color('blue')" pButton type="button" class="p-button-raised p-button-rounded"
          id="blue"></button>
        <button (click)="pick_color('yellow')" pButton type="button" class="p-button-raised p-button-rounded"
          id="yellow"></button>
      </div>
      <div id="colors-second">
        <button (click)="pick_color('green')" pButton type="button" class="p-button-raised p-button-rounded"
          id="green"></button>
        <button (click)="pick_color('gray')" pButton type="button" class="p-button-raised p-button-rounded"
          id="gray"></button>
        <button (click)="pick_color('orange')" pButton type="button" class="p-button-raised p-button-rounded"
          id="orange"></button>
        <button (click)="pick_color('red')" pButton type="button" class="p-button-raised p-button-rounded"
          id="red"></button>
      </div>
    </div>

    <div id="filter_submit_wrapper">
      <button pButton (click)="load_ad()" onclick = "document.getElementById('flip-card-inner').style.display='block'"
        class="p-button-raised p-button-rounded p-button-success" icon="pi pi-check" label="Submit"></button>
    </div>

  </div>

</p-sidebar>
